<a id="mypy-boto3-batch"></a>

# mypy-boto3-batch

[![PyPI - types-aiobotocore-batch](https://img.shields.io/pypi/v/types-aiobotocore-batch.svg?color=blue)](https://pypi.org/project/types-aiobotocore-batch)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-batch.svg?color=blue)](https://pypi.org/project/types-aiobotocore-batch)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-batch?color=blue)](https://pypistats.org/packages/types-aiobotocore-batch)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.Batch 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/batch.html#Batch)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-batch docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_batch/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-batch](#mypy-boto3-batch)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `Batch`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `Batch` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[batch]'

# Lite version does not provide session.create_client overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[batch]'

# standalone installation
python -m pip install types-aiobotocore-batch
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[batch]` in your environment:
  `python -m pip install 'types-aiobotocore[batch]'`

Both type checking and auto-complete should work for `Batch` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[batch]` in your environment:
  `python -m pip install 'types-aiobotocore[batch]'`

Both type checking and auto-complete should work for `Batch` service. No
explicit type annotations required, write your `aiobotocore` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[batch]` in your environment:
  `python -m pip install 'types-aiobotocore[batch]'`
- Run `mypy` as usual

Type checking should work for `Batch` service. No explicit type annotations
required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[batch]` in your environment:
  `python -m pip install 'types-aiobotocore[batch]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `Batch` service. No explicit type annotations
required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`BatchClient` provides annotations for `session.create_client("batch")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_batch import BatchClient

session = get_session()
async with session.create_client("batch") as client:
    client: BatchClient
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_batch.paginator` module contains type annotations for all
paginators.

````python
from aiobotocore.session import get_session

from types_aiobotocore_batch import BatchClient
from types_aiobotocore_batch.paginator import (
    DescribeComputeEnvironmentsPaginator,
    DescribeJobDefinitionsPaginator,
    DescribeJobQueuesPaginator,
    ListJobsPaginator,
    ListSchedulingPoliciesPaginator,
)

session = get_session()
async with session.create_client("batch") as client:
    client: BatchClient

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        describe_compute_environments_paginator: DescribeComputeEnvironmentsPaginator = client.get_paginator("describe_compute_environments")
        describe_job_definitions_paginator: DescribeJobDefinitionsPaginator = client.get_paginator("describe_job_definitions")
        describe_job_queues_paginator: DescribeJobQueuesPaginator = client.get_paginator("describe_job_queues")
        list_jobs_paginator: ListJobsPaginator = client.get_paginator("list_jobs")
        list_scheduling_policies_paginator: ListSchedulingPoliciesPaginator = client.get_paginator("list_scheduling_policies")
    ```







### Literals

`types_aiobotocore_batch.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_batch.literals import (
    ArrayJobDependencyType,
    AssignPublicIpType,
    CEStateType,
    CEStatusType,
    CETypeType,
    CRAllocationStrategyType,
    CRTypeType,
    DescribeComputeEnvironmentsPaginatorName,
    DescribeJobDefinitionsPaginatorName,
    DescribeJobQueuesPaginatorName,
    DeviceCgroupPermissionType,
    EFSAuthorizationConfigIAMType,
    EFSTransitEncryptionType,
    JQStateType,
    JQStatusType,
    JobDefinitionTypeType,
    JobStatusType,
    ListJobsPaginatorName,
    ListSchedulingPoliciesPaginatorName,
    LogDriverType,
    PlatformCapabilityType,
    ResourceTypeType,
    RetryActionType,
    ServiceName,
    PaginatorName,
)

def check_value(value: ArrayJobDependencyType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_batch.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_batch.type_defs import (
    ArrayPropertiesDetailTypeDef,
    ArrayPropertiesSummaryTypeDef,
    ArrayPropertiesTypeDef,
    AttemptContainerDetailTypeDef,
    AttemptDetailTypeDef,
    CancelJobRequestRequestTypeDef,
    ComputeEnvironmentDetailTypeDef,
    ComputeEnvironmentOrderTypeDef,
    ComputeResourceTypeDef,
    ComputeResourceUpdateTypeDef,
    ContainerDetailTypeDef,
    ContainerOverridesTypeDef,
    ContainerPropertiesTypeDef,
    ContainerSummaryTypeDef,
    CreateComputeEnvironmentRequestRequestTypeDef,
    CreateComputeEnvironmentResponseTypeDef,
    CreateJobQueueRequestRequestTypeDef,
    CreateJobQueueResponseTypeDef,
    CreateSchedulingPolicyRequestRequestTypeDef,
    CreateSchedulingPolicyResponseTypeDef,
    DeleteComputeEnvironmentRequestRequestTypeDef,
    DeleteJobQueueRequestRequestTypeDef,
    DeleteSchedulingPolicyRequestRequestTypeDef,
    DeregisterJobDefinitionRequestRequestTypeDef,
    DescribeComputeEnvironmentsRequestRequestTypeDef,
    DescribeComputeEnvironmentsResponseTypeDef,
    DescribeJobDefinitionsRequestRequestTypeDef,
    DescribeJobDefinitionsResponseTypeDef,
    DescribeJobQueuesRequestRequestTypeDef,
    DescribeJobQueuesResponseTypeDef,
    DescribeJobsRequestRequestTypeDef,
    DescribeJobsResponseTypeDef,
    DescribeSchedulingPoliciesRequestRequestTypeDef,
    DescribeSchedulingPoliciesResponseTypeDef,
    DeviceTypeDef,
    EFSAuthorizationConfigTypeDef,
    EFSVolumeConfigurationTypeDef,
    Ec2ConfigurationTypeDef,
    EvaluateOnExitTypeDef,
    FairsharePolicyTypeDef,
    FargatePlatformConfigurationTypeDef,
    HostTypeDef,
    JobDefinitionTypeDef,
    JobDependencyTypeDef,
    JobDetailTypeDef,
    JobQueueDetailTypeDef,
    JobSummaryTypeDef,
    JobTimeoutTypeDef,
    KeyValuePairTypeDef,
    KeyValuesPairTypeDef,
    LaunchTemplateSpecificationTypeDef,
    LinuxParametersTypeDef,
    ListJobsRequestRequestTypeDef,
    ListJobsResponseTypeDef,
    ListSchedulingPoliciesRequestRequestTypeDef,
    ListSchedulingPoliciesResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    LogConfigurationTypeDef,
    MountPointTypeDef,
    NetworkConfigurationTypeDef,
    NetworkInterfaceTypeDef,
    NodeDetailsTypeDef,
    NodeOverridesTypeDef,
    NodePropertiesSummaryTypeDef,
    NodePropertiesTypeDef,
    NodePropertyOverrideTypeDef,
    NodeRangePropertyTypeDef,
    PaginatorConfigTypeDef,
    RegisterJobDefinitionRequestRequestTypeDef,
    RegisterJobDefinitionResponseTypeDef,
    ResourceRequirementTypeDef,
    ResponseMetadataTypeDef,
    RetryStrategyTypeDef,
    SchedulingPolicyDetailTypeDef,
    SchedulingPolicyListingDetailTypeDef,
    SecretTypeDef,
    ShareAttributesTypeDef,
    SubmitJobRequestRequestTypeDef,
    SubmitJobResponseTypeDef,
    TagResourceRequestRequestTypeDef,
    TerminateJobRequestRequestTypeDef,
    TmpfsTypeDef,
    UlimitTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateComputeEnvironmentRequestRequestTypeDef,
    UpdateComputeEnvironmentResponseTypeDef,
    UpdateJobQueueRequestRequestTypeDef,
    UpdateJobQueueResponseTypeDef,
    UpdateSchedulingPolicyRequestRequestTypeDef,
    VolumeTypeDef,
)

def get_structure() -> ArrayPropertiesDetailTypeDef:
    return {
      ...
    }
```

## Versioning

`types-aiobotocore-batch` version is the same as related `boto3` version and
follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation

All type annotations can be found in
[types-aiobotocore-batch docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_batch/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
